Page MenuHomePhabricator

Convert wikis to numerical sorting batch #4
Closed, ResolvedPublic3 Story Points

Description

More wikis to switch to numerical sorting:

Galician Wikipedia (gl) -- both collation and numerical - uca-gl-u-kn
Discussion: https://gl.wikipedia.org/wiki/Wikipedia:A_Taberna_(propostas)#Ordenaci.C3.B3n_num.C3.A9rica_para_as_categor.C3.ADas
Request: https://meta.wikimedia.org/wiki/User_talk:DannyH_(WMF)#Enable_numerical_sorting_and_UCA_in_Galician_wikipedia_-_gl.wp

German Wikisource (de.ws) - just numeric
Discussion: https://de.wikisource.org/wiki/Wikisource:Skriptorium#Numerische_Sortierung
Request: https://meta.wikimedia.org/wiki/User_talk:DannyH_(WMF)#Numerical_sorting_.E2.80.93_de.ws

Ilokano Wikipedia (il) -- both collation and numerical -- (uca-tl-u-kn)
Discussion: https://ilo.wikipedia.org/wiki/Wikipedia:Dap-ayan/Singsingasing#Request_to_change_category_collation_for_Ilokano_Wikipedia
Request: https://meta.wikimedia.org/wiki/User_talk:DannyH_(WMF)#Category_collation_change_and_numerical_sorting_-_ilo.wp

Portuguese Wikipedia (pt) -- uca-pt-u-kn
Discussion: https://pt.wikipedia.org/w/index.php?oldid=47148620
Request: https://meta.wikimedia.org/wiki/User_talk:DannyH_(WMF)#Numerical_sorting_.E2.80.93_ptwiki

Serbian Wikipedia (sr) - uca-sr-u-kn
Discussion: https://sr.wikipedia.org/wiki/%D0%92%D0%B8%D0%BA%D0%B8%D0%BF%D0%B5%D0%B4%D0%B8%D1%98%D0%B0:%D0%A2%D1%80%D0%B3/%D0%A2%D0%B5%D1%85%D0%BD%D0%B8%D0%BA%D0%B0#.D0.9A.D0.B0.D1.82.D0.B5.D0.B3.D0.BE.D1.80.D0.B8.D1.98.D0.B5
Request: https://meta.wikimedia.org/wiki/User_talk:DannyH_(WMF)#Numerical_sorting_.E2.80.93_sr.wp

Serbo-Croatian Wikipedia (sh) - just numeric
Discussion: https://sh.wikipedia.org/wiki/Wikipedia:Pijaca-%D0%9F%D0%B8%D1%98%D0%B0%D1%86%D0%B0#Kategorije
Request: https://meta.wikimedia.org/wiki/User_talk:DannyH_(WMF)#Numerical_sorting_.E2.80.93_sh.wp

Spanish Wikiversity (es.wikiversity) - numeric and UCA collation
Discussion: https://es.wikiversity.org/wiki/Wikiversidad:Claustro_Wikiversitario#Uso_del_ordenamiento_num.C3.A9rico_y_UCA_para_las_categor.C3.ADas
Request: https://meta.wikimedia.org/wiki/User_talk:DannyH_(WMF)#Numerical_sorting_and_UCA_collation_in_es.wikiversity

Event Timeline

DannyH created this task.Oct 24 2016, 7:33 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 24 2016, 7:33 PM
DannyH updated the task description. (Show Details)Oct 28 2016, 11:16 PM
DannyH updated the task description. (Show Details)Nov 7 2016, 7:04 PM
kaldari updated the task description. (Show Details)Nov 17 2016, 6:15 PM
kaldari updated the task description. (Show Details)
kaldari set the point value for this task to 3.Nov 17 2016, 6:20 PM
kaldari moved this task from To be estimated/discussed to Estimated on the Community-Tech board.
DannyH updated the task description. (Show Details)Nov 25 2016, 10:18 PM
DannyH added a comment.EditedNov 25 2016, 10:24 PM

I got one more request, which I added to the ticket.

I also took down the "how to request" instructions, saying that we're taking a break, and thinking about how to make this the default across wikis. Which I guess now we'll have to do.

@DannyH , what's the ticket umber for making this the default?

Niharika edited projects, added Community-Tech-Sprint; removed Community-Tech.
Niharika moved this task from Ready to In Development on the Community-Tech-Sprint board.

Change 323834 had a related patch set uploaded (by Niharika29):
Convert wikis to numerical sorting and uca collation

https://gerrit.wikimedia.org/r/323834

Change 323834 merged by jenkins-bot:
Convert wikis to numerical sorting and uca collation

https://gerrit.wikimedia.org/r/323834

Mentioned in SAL (#wikimedia-operations) [2016-12-12T19:16:43Z] <thcipriani@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:323834|Convert wikis to numerical sorting and uca collation]] (T149002) (duration: 00m 45s)

Maintenance scripts finished running.

Niharika closed this task as Resolved.Dec 13 2016, 6:08 AM
DannyH moved this task from Estimated to Archive on the Community-Tech board.Dec 20 2016, 9:37 PM
He7d3r added a subscriber: He7d3r.Dec 17 2017, 5:30 PM
Restricted Application added a subscriber: Petar.petkovic. · View Herald TranscriptAug 17 2018, 5:24 PM